#!/usr/bin/perl -w

# perl script to add users to Document Manager's .htusers file

use Digest::MD5 qw(md5_hex);

my $htpasswd = shift @ARGV || ".htusers";

my $login = shift @ARGV;
if (! $login) {
	print "login: ";
	$login=<STDIN>; chomp $login;
}

my $fullname = shift @ARGV;
if (! $fullname) {
	print "full name: ";
	$fullname=<STDIN>; chomp $fullname;
}

my $passswd = shift @ARGV;
if (! $passswd) {
	print "password [auth_pop3]: ";
	$passwd=<STDIN>; chomp $passwd;
	if ($passwd eq "") {
		$passwd="auth_pop3";
	} elsif (substr($passwd,0,5) ne "auth_") {
		$passwd=md5_hex($login.$passwd);
	}
}

my $email = shift @ARGV;
while (! $email || $email !~ /@/) {
	print "e-mail: ";
	$email=<STDIN>; chomp $email;
	print "e-mail address needs to have @ for auth_pop3 to work!\n" if ($email !~ /@/);
}

if (! -e "$htpasswd") {
	print "creating $htpasswd\n";
	open(HTPASSWD,"> $htpasswd") || die "open $htpasswd: $!";
} else {
	open(HTPASSWD,">> $htpasswd") || die "append $htpasswd: $!";
}
print HTPASSWD "$login:$fullname:$passwd:$email\n";
close(HTPASSWD);
